Package com.destroystokyo.paper.block

# Enum Class TargetBlockInfo.FluidMode

java.lang.Object
java.lang.Enum<TargetBlockInfo.FluidMode>
com.destroystokyo.paper.block.TargetBlockInfo.FluidMode

All Implemented Interfaces:
  `Serializable`, `Comparable<TargetBlockInfo.FluidMode>`, `Constable`

Enclosing class:
  TargetBlockInfo

public static enum TargetBlockInfo.FluidMode extends Enum<TargetBlockInfo.FluidMode>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALWAYS`
`NEVER`
`SOURCE_ONLY`

## Method Summary

Modifier and Type
Method
Description
`static TargetBlockInfo.FluidMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TargetBlockInfo.FluidMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NEVER

public static final TargetBlockInfo.FluidMode NEVER

### SOURCE_ONLY

public static final TargetBlockInfo.FluidMode SOURCE_ONLY

### ALWAYS

public static final TargetBlockInfo.FluidMode ALWAYS

## Method Details

### values

public static TargetBlockInfo.FluidMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TargetBlockInfo.FluidMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null